Skip to content
Permalink
Browse files

feat: added rector and upgraded narrowspark/coding-standard to v5

  • Loading branch information
prisis committed Mar 25, 2020
1 parent 8dc9c76 commit 6443e7801eac55063789572ea8722a0c7a6269af
Showing with 65 additions and 65 deletions.
  1. +5 −5 .build/composer.json
  2. +55 −53 .build/composer.lock
  3. +1 −1 .build/rector-src.yaml
  4. +3 −0 .dependabot/config.yml
  5. +1 −2 composer.json
  6. +0 −4 phpunit.xml
@@ -3,7 +3,7 @@
"minimum-stability": "dev",
"prefer-stable": true,
"require": {
"narrowspark/coding-standard": "^4.0.0",
"narrowspark/coding-standard": "^5.0.0",
"wikimedia/composer-merge-plugin": "^1.4.1",
"rector/rector": "^0.7.0"
},
@@ -30,9 +30,9 @@
"psalm": "psalm --threads=$(nproc)",
"psalm:fix": "psalm --alter --issues=all --threads=$(nproc) --ansi",
"infection": "infection --configuration=\"./../infection.json\" -j$(nproc) --ansi",
"rector-src": "rector process ../src/ --config=./rector-src.yaml --ansi --dry-run",
"rector-src:fix": "rector process ../src/ --config=./rector-src.yaml --ansi",
"rector-tests": "rector process ../tests/ --config=./rector-tests.yaml --ansi --dry-run",
"rector-tests:fix": "rector process ../tests/ --config=./rector-tests.yaml --ansi"
"rector-src": "rector process ./../src/ --config=./rector-src.yaml --ansi --dry-run",
"rector-src:fix": "rector process ./../src/ --config=./rector-src.yaml --ansi",
"rector-tests": "rector process ./../tests/ --config=./rector-tests.yaml --ansi --dry-run",
"rector-tests:fix": "rector process ./../tests/ --config=./rector-tests.yaml --ansi"
}
}

Some generated files are not rendered by default. Learn more.

@@ -2,7 +2,7 @@ imports:
- { resource: './vendor/thecodingmachine/safe/rector-migrate-0.6.yml' }

parameters:
php_version_features: '7.4'
php_version_features: '7.4' # change the php version to yo

project_type: "open-source"

@@ -15,6 +15,7 @@ update_configs:
prefix: "Build"
default_labels:
- "dependency"
- "Changed"

- package_manager: "php:composer"
directory: "/.build"
@@ -28,6 +29,7 @@ update_configs:
prefix: "Build"
default_labels:
- "dependency"
- "Changed"

- package_manager: "javascript"
directory: "/"
@@ -41,3 +43,4 @@ update_configs:
prefix: "Build"
default_labels:
- "dependency"
- "Changed"
@@ -20,8 +20,7 @@
},
"require-dev": {
"ext-json": "*",
"phpunit/phpunit": "^9.0.1",
"johnkary/phpunit-speedtrap": "^3.2.0"
"phpunit/phpunit": "^9.0.1"
},
"config": {
"preferred-install": "dist",
@@ -39,10 +39,6 @@
</testsuite>
</testsuites>

<listeners>
<listener class="JohnKary\PHPUnit\Listener\SpeedTrapListener" />
</listeners>

<filter>
<whitelist processUncoveredFilesFromWhitelist="true">
<directory suffix=".php">./</directory>

0 comments on commit 6443e78

Please sign in to comment.
You can’t perform that action at this time.